Bug 122017 - x11-toolkits/qt4-gui (qt4-gui-4.3.1) (new compiler error)
Summary: x11-toolkits/qt4-gui (qt4-gui-4.3.1) (new compiler error)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-23 16:00 UTC by O. Hartmann
Modified: 2008-04-07 13:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description O. Hartmann 2008-03-23 16:00:06 UTC
On FreeBSD 7.0/STABLE AMD64 platform port x11-toolkits/qt4-gui (qt4-gui-4.3.1) end up with compilation error (see appendix).

This error does not go away after recompilation of all related requisite qt4 ports and tools (option -R of portupgrade or manual reinstallation).


error:
....
c++ -c -O2 -fno-strict-aliasing -pipe -march=k8 -I. -I../../include/Qt -I/usr/local/include -fno-exceptions -D_REENTRANT -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -O2 -fno-strict-aliasing -pipe -march=k8 -Wall -W -fPIC -DQT_SHARED -DQT_BUILD_GUI_LIB -DQT_NO_CAST_TO_ASCII -DQT_ASCII_CAST_WARNINGS -DQT_44_API_QSQLQUERY_FINISH -DQT3_SUPPORT -DQT_MOC_COMPAT -DQT_RASTER_IMAGEENGINE -DQT_HAVE_MMX -DQT_HAVE_SSE -DQT_HAVE_MMXEXT -DQT_HAVE_SSE2 -DQT_NO_STYLE_MAC -DQT_NO_STYLE_WINDOWSVISTA -DQT_NO_STYLE_WINDOWSXP -DQ_INTERNAL_QAPP_SRC -DQT_NO_DEBUG -DQT_CORE_LIB -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE -I/usr/local/share/qt4/mkspecs/freebsd-g++ -I. -I../../include/QtCore -I../../include/QtCore -I../../include -I../../include/QtGui -I/usr/local/include/freetype2 -I../3rdparty/harfbuzz/src -Idialogs -I.moc/release-shared -I/usr/local/include -I.uic/release-shared -I/usr/local/include -o .obj/release-shared/qcombobox.o widgets/qcombobox.cpp
widgets/qcombobox.cpp: In member function 'virtual void QComboBoxPrivateContainer::resizeEvent(QResizeEvent*)':
widgets/qcombobox.cpp:351: error: 'SH_Menu_Mask' is not a member of 'QStyle'
*** Error code 1

Stop in /usr/ports/x11-toolkits/qt4-gui/work/qt-x11-opensource-src-4.3.4/src/gui.
*** Error code 1

Stop in /usr/ports/x11-toolkits/qt4-gui.
*** Error code 1

Stop in /usr/ports/x11-toolkits/qt4-gui.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade.2448.0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=qt4-gui-4.3.1 UPGRADE_PORT_VER=4.3.1 make
Comment 1 Edwin Groothuis freebsd_committer 2008-03-23 16:00:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-03-31 20:02:40 UTC
lofi        2008-03-31 19:02:32 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/qt4-gui Makefile 
  Log:
  Some more include search path massaging for the WITH_CUPS case.
  
  PR:     ports/122017
  
  Revision  Changes    Path
  1.16      +1 -1      ports/x11-toolkits/qt4-gui/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Thomas Abthorpe freebsd_committer 2008-04-07 13:35:48 UTC
State Changed
From-To: open->closed

Committed by lofi